MagicDraw and Cameo Suite products are Java based. 
The following table lists the recommended* Java versions.


* Most of testing was performed with these versions 


Please note, Oracle Java SE9 is not supported.

Product version

Recommended Java version

Not supported Java versions

19.0 SP1

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, 1.5.x, 1.6.x, 1.7.x, and 1.9.x.

19.0

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, 1.5.x, 1.6.x, 1.7.x, and 1.9.x.

18.5 SP3, 18.5 SP4

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, 1.5.x, 1.6.x, 1.7.x, and 1.9.x.

18.5 SP2

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, 1.5.x, 1.6.x, 1.7.x, and 1.9.x.

18.5, 18.5 SP1

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, 1.5.x, 1.6.x, 1.7.x, and 1.9.x.

18.4 SP1

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, 1.5.x, 1.6.x, and 1.7.x.

18.4

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, 1.5.x, 1.6.x, and 1.7.x.

18.3

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, 1.5.x, 1.6.x, and 1.7.x.

18.0 SP6, 18.0 SP7

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, 1.5.x, and 1.6.x.

18.0 SP5

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, 1.5.x, and 1.6.x.

18.0 SP4, 18.2

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, 1.5.x, and 1.6.x.

18.0 SP3, 18.1

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, 1.5.x, and 1.6.x.

18.0 SP2

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, 1.5.x, and 1.6.x.

18.0, 18.0 SP1

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, 1.5.x, and 1.6.x.

17.0.5 SP1

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, and 1.5.x.

17.0.5

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, and 1.5.x.

17.0.4 SP2

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, and 1.5.x.

17.0.4, 17.0.4 SP1

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, and 1.5.x.

17.0.3 SP1

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, and 1.5.x.

17.0.3

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, and 1.5.x.

17.0.2 SP4

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, and 1.5.x.

17.0.2 SP3

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, and 1.5.x.

17.0.2, 17.0.2 SP1, SP2

  • Sun's JDK 1.6.0_31 for Windows, Linux and both 32-bit and 64-bit Mac OS X (Leopard or Snow Leopard).

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, and 1.5.x.

17.0.1, 17.0.1 SP1, SP2

  • Sun's JDK 1.6.0_26 for Windows, Linux and both 32-bit and 64-bit Mac OS X (Leopard or Show Leopard).

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, and 1.5.x.

17.0, 17.0 SP1, SP2, SP3, SP4, SP5, SP6

  • Sun's JDK 1.6.0_22 for Windows, Linux and both 32-bit and 64-bit Mac OS X (Leopard or Snow Leopard).

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, and 1.5.x.

16.8 and 16.9

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, and 1.5.x.

16.6, 16.6 SP1, SP2

JDK 1.1.x, 1.2.x, 1.3.x, and 1.4.x.

15.0, 15.1, 15.5, 16.0 and 16.5

JDK 1.1.x, 1.2.x, 1.3.x, 

  • No labels